OpenNMS API 1.2.9

## org.opennms.web.mail
Class MailerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.opennms.web.mail.MailerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig

public class MailerServlet
extends javax.servlet.http.HttpServlet

Author:
  Jacinta Remedios , Lawrence Karnowski , OpenNMS
See Also:
  Serialized Form

Field Summary
`protected org.apache.log4j.Category` `log`
`protected java.lang.String` `mailProgram`
`protected java.lang.String` `redirectSuccess`
`protected static java.lang.String[]` `REQUIRED_FIELDS`

Fields inherited from class javax.servlet.http.HttpServlet
``

Fields inherited from class javax.servlet.GenericServlet
``

Constructor Summary
`MailerServlet()`

Method Summary
`void` `doPost(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)`
`void` `init()`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doGet, doHead, doOptions, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### REQUIRED_FIELDS

    protected static final java.lang.String[] REQUIRED_FIELDS

### log

    protected org.apache.log4j.Category log

### redirectSuccess

    protected java.lang.String redirectSuccess

### mailProgram

    protected java.lang.String mailProgram

Constructor Detail

### MailerServlet

    public MailerServlet()

Method Detail

### init

    public void init()
              throws javax.servlet.ServletException

  Throws:
    `javax.servlet.ServletException`

### doPost

    public void doPost(javax.servlet.http.HttpServletRequest request,
                       javax.servlet.http.HttpServletResponse response)
                throws javax.servlet.ServletException,
                       java.io.IOException

  Throws:
    `javax.servlet.ServletException`
    `java.io.IOException`

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.